Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network6.96.0.0/11
Usable hosts2,097,150
Subnet mask255.224.0.0
Addresses2,097,152
Network address
6.96.0.0
Broadcast address
6.127.255.255
First usable
6.96.0.1
Last usable
6.127.255.254
Usable hosts
2,097,150 (2,097,152 less the network and broadcast addresses)
Subnet mask
255.224.0.0
Wildcard mask
0.31.255.255 (Cisco ACLs, OSPF)
Prefix length
/11
Type
Public public
Old class
A (default /8)
As numbers
Hex 06600000 · Integer 106954752 to 109051903
Reverse DNS zones
96.6.in-addr.arpa
97.6.in-addr.arpa
98.6.in-addr.arpa
99.6.in-addr.arpa
100.6.in-addr.arpa
101.6.in-addr.arpa
102.6.in-addr.arpa
103.6.in-addr.arpa
104.6.in-addr.arpa
105.6.in-addr.arpa
106.6.in-addr.arpa
107.6.in-addr.arpa
108.6.in-addr.arpa
109.6.in-addr.arpa
110.6.in-addr.arpa
111.6.in-addr.arpa
and 16 more
/11 is not on a 8-bit boundary, so it takes 32 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00000110.01100000.00000000.000000006.96.0.0
Subnet mask11111111.11100000.00000000.00000000255.224.0.0
Network00000110.01100000.00000000.000000006.96.0.0
Broadcast00000110.01111111.11111111.111111116.127.255.255
Split into smaller subnets/19

6.96.0.0/11 makes 256 subnets of /19.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
16.96.0.0/196.96.0.1 to 6.96.31.2546.96.31.2558,190
26.96.32.0/196.96.32.1 to 6.96.63.2546.96.63.2558,190
36.96.64.0/196.96.64.1 to 6.96.95.2546.96.95.2558,190
46.96.96.0/196.96.96.1 to 6.96.127.2546.96.127.2558,190
56.96.128.0/196.96.128.1 to 6.96.159.2546.96.159.2558,190
66.96.160.0/196.96.160.1 to 6.96.191.2546.96.191.2558,190
76.96.192.0/196.96.192.1 to 6.96.223.2546.96.223.2558,190
86.96.224.0/196.96.224.1 to 6.96.255.2546.96.255.2558,190
96.97.0.0/196.97.0.1 to 6.97.31.2546.97.31.2558,190
106.97.32.0/196.97.32.1 to 6.97.63.2546.97.63.2558,190
116.97.64.0/196.97.64.1 to 6.97.95.2546.97.95.2558,190
126.97.96.0/196.97.96.1 to 6.97.127.2546.97.127.2558,190
136.97.128.0/196.97.128.1 to 6.97.159.2546.97.159.2558,190
146.97.160.0/196.97.160.1 to 6.97.191.2546.97.191.2558,190
156.97.192.0/196.97.192.1 to 6.97.223.2546.97.223.2558,190
166.97.224.0/196.97.224.1 to 6.97.255.2546.97.255.2558,190
176.98.0.0/196.98.0.1 to 6.98.31.2546.98.31.2558,190
186.98.32.0/196.98.32.1 to 6.98.63.2546.98.63.2558,190
196.98.64.0/196.98.64.1 to 6.98.95.2546.98.95.2558,190
206.98.96.0/196.98.96.1 to 6.98.127.2546.98.127.2558,190
216.98.128.0/196.98.128.1 to 6.98.159.2546.98.159.2558,190
226.98.160.0/196.98.160.1 to 6.98.191.2546.98.191.2558,190
236.98.192.0/196.98.192.1 to 6.98.223.2546.98.223.2558,190
246.98.224.0/196.98.224.1 to 6.98.255.2546.98.255.2558,190
256.99.0.0/196.99.0.1 to 6.99.31.2546.99.31.2558,190
266.99.32.0/196.99.32.1 to 6.99.63.2546.99.63.2558,190
276.99.64.0/196.99.64.1 to 6.99.95.2546.99.95.2558,190
286.99.96.0/196.99.96.1 to 6.99.127.2546.99.127.2558,190
296.99.128.0/196.99.128.1 to 6.99.159.2546.99.159.2558,190
306.99.160.0/196.99.160.1 to 6.99.191.2546.99.191.2558,190
316.99.192.0/196.99.192.1 to 6.99.223.2546.99.223.2558,190
326.99.224.0/196.99.224.1 to 6.99.255.2546.99.255.2558,190
336.100.0.0/196.100.0.1 to 6.100.31.2546.100.31.2558,190
346.100.32.0/196.100.32.1 to 6.100.63.2546.100.63.2558,190
356.100.64.0/196.100.64.1 to 6.100.95.2546.100.95.2558,190
366.100.96.0/196.100.96.1 to 6.100.127.2546.100.127.2558,190
376.100.128.0/196.100.128.1 to 6.100.159.2546.100.159.2558,190
386.100.160.0/196.100.160.1 to 6.100.191.2546.100.191.2558,190
396.100.192.0/196.100.192.1 to 6.100.223.2546.100.223.2558,190
406.100.224.0/196.100.224.1 to 6.100.255.2546.100.255.2558,190
416.101.0.0/196.101.0.1 to 6.101.31.2546.101.31.2558,190
426.101.32.0/196.101.32.1 to 6.101.63.2546.101.63.2558,190
436.101.64.0/196.101.64.1 to 6.101.95.2546.101.95.2558,190
446.101.96.0/196.101.96.1 to 6.101.127.2546.101.127.2558,190
456.101.128.0/196.101.128.1 to 6.101.159.2546.101.159.2558,190
466.101.160.0/196.101.160.1 to 6.101.191.2546.101.191.2558,190
476.101.192.0/196.101.192.1 to 6.101.223.2546.101.223.2558,190
486.101.224.0/196.101.224.1 to 6.101.255.2546.101.255.2558,190
496.102.0.0/196.102.0.1 to 6.102.31.2546.102.31.2558,190
506.102.32.0/196.102.32.1 to 6.102.63.2546.102.63.2558,190
516.102.64.0/196.102.64.1 to 6.102.95.2546.102.95.2558,190
526.102.96.0/196.102.96.1 to 6.102.127.2546.102.127.2558,190
536.102.128.0/196.102.128.1 to 6.102.159.2546.102.159.2558,190
546.102.160.0/196.102.160.1 to 6.102.191.2546.102.191.2558,190
556.102.192.0/196.102.192.1 to 6.102.223.2546.102.223.2558,190
566.102.224.0/196.102.224.1 to 6.102.255.2546.102.255.2558,190
576.103.0.0/196.103.0.1 to 6.103.31.2546.103.31.2558,190
586.103.32.0/196.103.32.1 to 6.103.63.2546.103.63.2558,190
596.103.64.0/196.103.64.1 to 6.103.95.2546.103.95.2558,190
606.103.96.0/196.103.96.1 to 6.103.127.2546.103.127.2558,190
616.103.128.0/196.103.128.1 to 6.103.159.2546.103.159.2558,190
626.103.160.0/196.103.160.1 to 6.103.191.2546.103.191.2558,190
636.103.192.0/196.103.192.1 to 6.103.223.2546.103.223.2558,190
646.103.224.0/196.103.224.1 to 6.103.255.2546.103.255.2558,190
656.104.0.0/196.104.0.1 to 6.104.31.2546.104.31.2558,190
666.104.32.0/196.104.32.1 to 6.104.63.2546.104.63.2558,190
676.104.64.0/196.104.64.1 to 6.104.95.2546.104.95.2558,190
686.104.96.0/196.104.96.1 to 6.104.127.2546.104.127.2558,190
696.104.128.0/196.104.128.1 to 6.104.159.2546.104.159.2558,190
706.104.160.0/196.104.160.1 to 6.104.191.2546.104.191.2558,190
716.104.192.0/196.104.192.1 to 6.104.223.2546.104.223.2558,190
726.104.224.0/196.104.224.1 to 6.104.255.2546.104.255.2558,190
736.105.0.0/196.105.0.1 to 6.105.31.2546.105.31.2558,190
746.105.32.0/196.105.32.1 to 6.105.63.2546.105.63.2558,190
756.105.64.0/196.105.64.1 to 6.105.95.2546.105.95.2558,190
766.105.96.0/196.105.96.1 to 6.105.127.2546.105.127.2558,190
776.105.128.0/196.105.128.1 to 6.105.159.2546.105.159.2558,190
786.105.160.0/196.105.160.1 to 6.105.191.2546.105.191.2558,190
796.105.192.0/196.105.192.1 to 6.105.223.2546.105.223.2558,190
806.105.224.0/196.105.224.1 to 6.105.255.2546.105.255.2558,190
816.106.0.0/196.106.0.1 to 6.106.31.2546.106.31.2558,190
826.106.32.0/196.106.32.1 to 6.106.63.2546.106.63.2558,190
836.106.64.0/196.106.64.1 to 6.106.95.2546.106.95.2558,190
846.106.96.0/196.106.96.1 to 6.106.127.2546.106.127.2558,190
856.106.128.0/196.106.128.1 to 6.106.159.2546.106.159.2558,190
866.106.160.0/196.106.160.1 to 6.106.191.2546.106.191.2558,190
876.106.192.0/196.106.192.1 to 6.106.223.2546.106.223.2558,190
886.106.224.0/196.106.224.1 to 6.106.255.2546.106.255.2558,190
896.107.0.0/196.107.0.1 to 6.107.31.2546.107.31.2558,190
906.107.32.0/196.107.32.1 to 6.107.63.2546.107.63.2558,190
916.107.64.0/196.107.64.1 to 6.107.95.2546.107.95.2558,190
926.107.96.0/196.107.96.1 to 6.107.127.2546.107.127.2558,190
936.107.128.0/196.107.128.1 to 6.107.159.2546.107.159.2558,190
946.107.160.0/196.107.160.1 to 6.107.191.2546.107.191.2558,190
956.107.192.0/196.107.192.1 to 6.107.223.2546.107.223.2558,190
966.107.224.0/196.107.224.1 to 6.107.255.2546.107.255.2558,190
976.108.0.0/196.108.0.1 to 6.108.31.2546.108.31.2558,190
986.108.32.0/196.108.32.1 to 6.108.63.2546.108.63.2558,190
996.108.64.0/196.108.64.1 to 6.108.95.2546.108.95.2558,190
1006.108.96.0/196.108.96.1 to 6.108.127.2546.108.127.2558,190
1016.108.128.0/196.108.128.1 to 6.108.159.2546.108.159.2558,190
1026.108.160.0/196.108.160.1 to 6.108.191.2546.108.191.2558,190
1036.108.192.0/196.108.192.1 to 6.108.223.2546.108.223.2558,190
1046.108.224.0/196.108.224.1 to 6.108.255.2546.108.255.2558,190
1056.109.0.0/196.109.0.1 to 6.109.31.2546.109.31.2558,190
1066.109.32.0/196.109.32.1 to 6.109.63.2546.109.63.2558,190
1076.109.64.0/196.109.64.1 to 6.109.95.2546.109.95.2558,190
1086.109.96.0/196.109.96.1 to 6.109.127.2546.109.127.2558,190
1096.109.128.0/196.109.128.1 to 6.109.159.2546.109.159.2558,190
1106.109.160.0/196.109.160.1 to 6.109.191.2546.109.191.2558,190
1116.109.192.0/196.109.192.1 to 6.109.223.2546.109.223.2558,190
1126.109.224.0/196.109.224.1 to 6.109.255.2546.109.255.2558,190
1136.110.0.0/196.110.0.1 to 6.110.31.2546.110.31.2558,190
1146.110.32.0/196.110.32.1 to 6.110.63.2546.110.63.2558,190
1156.110.64.0/196.110.64.1 to 6.110.95.2546.110.95.2558,190
1166.110.96.0/196.110.96.1 to 6.110.127.2546.110.127.2558,190
1176.110.128.0/196.110.128.1 to 6.110.159.2546.110.159.2558,190
1186.110.160.0/196.110.160.1 to 6.110.191.2546.110.191.2558,190
1196.110.192.0/196.110.192.1 to 6.110.223.2546.110.223.2558,190
1206.110.224.0/196.110.224.1 to 6.110.255.2546.110.255.2558,190
1216.111.0.0/196.111.0.1 to 6.111.31.2546.111.31.2558,190
1226.111.32.0/196.111.32.1 to 6.111.63.2546.111.63.2558,190
1236.111.64.0/196.111.64.1 to 6.111.95.2546.111.95.2558,190
1246.111.96.0/196.111.96.1 to 6.111.127.2546.111.127.2558,190
1256.111.128.0/196.111.128.1 to 6.111.159.2546.111.159.2558,190
1266.111.160.0/196.111.160.1 to 6.111.191.2546.111.191.2558,190
1276.111.192.0/196.111.192.1 to 6.111.223.2546.111.223.2558,190
1286.111.224.0/196.111.224.1 to 6.111.255.2546.111.255.2558,190
1296.112.0.0/196.112.0.1 to 6.112.31.2546.112.31.2558,190
1306.112.32.0/196.112.32.1 to 6.112.63.2546.112.63.2558,190
1316.112.64.0/196.112.64.1 to 6.112.95.2546.112.95.2558,190
1326.112.96.0/196.112.96.1 to 6.112.127.2546.112.127.2558,190
1336.112.128.0/196.112.128.1 to 6.112.159.2546.112.159.2558,190
1346.112.160.0/196.112.160.1 to 6.112.191.2546.112.191.2558,190
1356.112.192.0/196.112.192.1 to 6.112.223.2546.112.223.2558,190
1366.112.224.0/196.112.224.1 to 6.112.255.2546.112.255.2558,190
1376.113.0.0/196.113.0.1 to 6.113.31.2546.113.31.2558,190
1386.113.32.0/196.113.32.1 to 6.113.63.2546.113.63.2558,190
1396.113.64.0/196.113.64.1 to 6.113.95.2546.113.95.2558,190
1406.113.96.0/196.113.96.1 to 6.113.127.2546.113.127.2558,190
1416.113.128.0/196.113.128.1 to 6.113.159.2546.113.159.2558,190
1426.113.160.0/196.113.160.1 to 6.113.191.2546.113.191.2558,190
1436.113.192.0/196.113.192.1 to 6.113.223.2546.113.223.2558,190
1446.113.224.0/196.113.224.1 to 6.113.255.2546.113.255.2558,190
1456.114.0.0/196.114.0.1 to 6.114.31.2546.114.31.2558,190
1466.114.32.0/196.114.32.1 to 6.114.63.2546.114.63.2558,190
1476.114.64.0/196.114.64.1 to 6.114.95.2546.114.95.2558,190
1486.114.96.0/196.114.96.1 to 6.114.127.2546.114.127.2558,190
1496.114.128.0/196.114.128.1 to 6.114.159.2546.114.159.2558,190
1506.114.160.0/196.114.160.1 to 6.114.191.2546.114.191.2558,190
1516.114.192.0/196.114.192.1 to 6.114.223.2546.114.223.2558,190
1526.114.224.0/196.114.224.1 to 6.114.255.2546.114.255.2558,190
1536.115.0.0/196.115.0.1 to 6.115.31.2546.115.31.2558,190
1546.115.32.0/196.115.32.1 to 6.115.63.2546.115.63.2558,190
1556.115.64.0/196.115.64.1 to 6.115.95.2546.115.95.2558,190
1566.115.96.0/196.115.96.1 to 6.115.127.2546.115.127.2558,190
1576.115.128.0/196.115.128.1 to 6.115.159.2546.115.159.2558,190
1586.115.160.0/196.115.160.1 to 6.115.191.2546.115.191.2558,190
1596.115.192.0/196.115.192.1 to 6.115.223.2546.115.223.2558,190
1606.115.224.0/196.115.224.1 to 6.115.255.2546.115.255.2558,190
1616.116.0.0/196.116.0.1 to 6.116.31.2546.116.31.2558,190
1626.116.32.0/196.116.32.1 to 6.116.63.2546.116.63.2558,190
1636.116.64.0/196.116.64.1 to 6.116.95.2546.116.95.2558,190
1646.116.96.0/196.116.96.1 to 6.116.127.2546.116.127.2558,190
1656.116.128.0/196.116.128.1 to 6.116.159.2546.116.159.2558,190
1666.116.160.0/196.116.160.1 to 6.116.191.2546.116.191.2558,190
1676.116.192.0/196.116.192.1 to 6.116.223.2546.116.223.2558,190
1686.116.224.0/196.116.224.1 to 6.116.255.2546.116.255.2558,190
1696.117.0.0/196.117.0.1 to 6.117.31.2546.117.31.2558,190
1706.117.32.0/196.117.32.1 to 6.117.63.2546.117.63.2558,190
1716.117.64.0/196.117.64.1 to 6.117.95.2546.117.95.2558,190
1726.117.96.0/196.117.96.1 to 6.117.127.2546.117.127.2558,190
1736.117.128.0/196.117.128.1 to 6.117.159.2546.117.159.2558,190
1746.117.160.0/196.117.160.1 to 6.117.191.2546.117.191.2558,190
1756.117.192.0/196.117.192.1 to 6.117.223.2546.117.223.2558,190
1766.117.224.0/196.117.224.1 to 6.117.255.2546.117.255.2558,190
1776.118.0.0/196.118.0.1 to 6.118.31.2546.118.31.2558,190
1786.118.32.0/196.118.32.1 to 6.118.63.2546.118.63.2558,190
1796.118.64.0/196.118.64.1 to 6.118.95.2546.118.95.2558,190
1806.118.96.0/196.118.96.1 to 6.118.127.2546.118.127.2558,190
1816.118.128.0/196.118.128.1 to 6.118.159.2546.118.159.2558,190
1826.118.160.0/196.118.160.1 to 6.118.191.2546.118.191.2558,190
1836.118.192.0/196.118.192.1 to 6.118.223.2546.118.223.2558,190
1846.118.224.0/196.118.224.1 to 6.118.255.2546.118.255.2558,190
1856.119.0.0/196.119.0.1 to 6.119.31.2546.119.31.2558,190
1866.119.32.0/196.119.32.1 to 6.119.63.2546.119.63.2558,190
1876.119.64.0/196.119.64.1 to 6.119.95.2546.119.95.2558,190
1886.119.96.0/196.119.96.1 to 6.119.127.2546.119.127.2558,190
1896.119.128.0/196.119.128.1 to 6.119.159.2546.119.159.2558,190
1906.119.160.0/196.119.160.1 to 6.119.191.2546.119.191.2558,190
1916.119.192.0/196.119.192.1 to 6.119.223.2546.119.223.2558,190
1926.119.224.0/196.119.224.1 to 6.119.255.2546.119.255.2558,190
1936.120.0.0/196.120.0.1 to 6.120.31.2546.120.31.2558,190
1946.120.32.0/196.120.32.1 to 6.120.63.2546.120.63.2558,190
1956.120.64.0/196.120.64.1 to 6.120.95.2546.120.95.2558,190
1966.120.96.0/196.120.96.1 to 6.120.127.2546.120.127.2558,190
1976.120.128.0/196.120.128.1 to 6.120.159.2546.120.159.2558,190
1986.120.160.0/196.120.160.1 to 6.120.191.2546.120.191.2558,190
1996.120.192.0/196.120.192.1 to 6.120.223.2546.120.223.2558,190
2006.120.224.0/196.120.224.1 to 6.120.255.2546.120.255.2558,190
2016.121.0.0/196.121.0.1 to 6.121.31.2546.121.31.2558,190
2026.121.32.0/196.121.32.1 to 6.121.63.2546.121.63.2558,190
2036.121.64.0/196.121.64.1 to 6.121.95.2546.121.95.2558,190
2046.121.96.0/196.121.96.1 to 6.121.127.2546.121.127.2558,190
2056.121.128.0/196.121.128.1 to 6.121.159.2546.121.159.2558,190
2066.121.160.0/196.121.160.1 to 6.121.191.2546.121.191.2558,190
2076.121.192.0/196.121.192.1 to 6.121.223.2546.121.223.2558,190
2086.121.224.0/196.121.224.1 to 6.121.255.2546.121.255.2558,190
2096.122.0.0/196.122.0.1 to 6.122.31.2546.122.31.2558,190
2106.122.32.0/196.122.32.1 to 6.122.63.2546.122.63.2558,190
2116.122.64.0/196.122.64.1 to 6.122.95.2546.122.95.2558,190
2126.122.96.0/196.122.96.1 to 6.122.127.2546.122.127.2558,190
2136.122.128.0/196.122.128.1 to 6.122.159.2546.122.159.2558,190
2146.122.160.0/196.122.160.1 to 6.122.191.2546.122.191.2558,190
2156.122.192.0/196.122.192.1 to 6.122.223.2546.122.223.2558,190
2166.122.224.0/196.122.224.1 to 6.122.255.2546.122.255.2558,190
2176.123.0.0/196.123.0.1 to 6.123.31.2546.123.31.2558,190
2186.123.32.0/196.123.32.1 to 6.123.63.2546.123.63.2558,190
2196.123.64.0/196.123.64.1 to 6.123.95.2546.123.95.2558,190
2206.123.96.0/196.123.96.1 to 6.123.127.2546.123.127.2558,190
2216.123.128.0/196.123.128.1 to 6.123.159.2546.123.159.2558,190
2226.123.160.0/196.123.160.1 to 6.123.191.2546.123.191.2558,190
2236.123.192.0/196.123.192.1 to 6.123.223.2546.123.223.2558,190
2246.123.224.0/196.123.224.1 to 6.123.255.2546.123.255.2558,190
2256.124.0.0/196.124.0.1 to 6.124.31.2546.124.31.2558,190
2266.124.32.0/196.124.32.1 to 6.124.63.2546.124.63.2558,190
2276.124.64.0/196.124.64.1 to 6.124.95.2546.124.95.2558,190
2286.124.96.0/196.124.96.1 to 6.124.127.2546.124.127.2558,190
2296.124.128.0/196.124.128.1 to 6.124.159.2546.124.159.2558,190
2306.124.160.0/196.124.160.1 to 6.124.191.2546.124.191.2558,190
2316.124.192.0/196.124.192.1 to 6.124.223.2546.124.223.2558,190
2326.124.224.0/196.124.224.1 to 6.124.255.2546.124.255.2558,190
2336.125.0.0/196.125.0.1 to 6.125.31.2546.125.31.2558,190
2346.125.32.0/196.125.32.1 to 6.125.63.2546.125.63.2558,190
2356.125.64.0/196.125.64.1 to 6.125.95.2546.125.95.2558,190
2366.125.96.0/196.125.96.1 to 6.125.127.2546.125.127.2558,190
2376.125.128.0/196.125.128.1 to 6.125.159.2546.125.159.2558,190
2386.125.160.0/196.125.160.1 to 6.125.191.2546.125.191.2558,190
2396.125.192.0/196.125.192.1 to 6.125.223.2546.125.223.2558,190
2406.125.224.0/196.125.224.1 to 6.125.255.2546.125.255.2558,190
2416.126.0.0/196.126.0.1 to 6.126.31.2546.126.31.2558,190
2426.126.32.0/196.126.32.1 to 6.126.63.2546.126.63.2558,190
2436.126.64.0/196.126.64.1 to 6.126.95.2546.126.95.2558,190
2446.126.96.0/196.126.96.1 to 6.126.127.2546.126.127.2558,190
2456.126.128.0/196.126.128.1 to 6.126.159.2546.126.159.2558,190
2466.126.160.0/196.126.160.1 to 6.126.191.2546.126.191.2558,190
2476.126.192.0/196.126.192.1 to 6.126.223.2546.126.223.2558,190
2486.126.224.0/196.126.224.1 to 6.126.255.2546.126.255.2558,190
2496.127.0.0/196.127.0.1 to 6.127.31.2546.127.31.2558,190
2506.127.32.0/196.127.32.1 to 6.127.63.2546.127.63.2558,190
2516.127.64.0/196.127.64.1 to 6.127.95.2546.127.95.2558,190
2526.127.96.0/196.127.96.1 to 6.127.127.2546.127.127.2558,190
2536.127.128.0/196.127.128.1 to 6.127.159.2546.127.159.2558,190
2546.127.160.0/196.127.160.1 to 6.127.191.2546.127.191.2558,190
2556.127.192.0/196.127.192.1 to 6.127.223.2546.127.223.2558,190
2566.127.224.0/196.127.224.1 to 6.127.255.2546.127.255.2558,190

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses